Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.classify
Class NaiveBayesTrainer.Factory

    java.lang.Object
      cc.mallet.classify.ClassifierTrainer.Factory<NaiveBayesTrainer>
          cc.mallet.classify.NaiveBayesTrainer.Factory

Enclosing class:
  NaiveBayesTrainer

    public static class NaiveBayesTrainer.Factory

extends ClassifierTrainer.Factory<NaiveBayesTrainer>

Constructor Summary
`NaiveBayesTrainer.Factory()`

Method Summary
`NaiveBayesTrainer` | `newClassifierTrainer(Classifier initialClassifier)`
`NaiveBayesTrainer.Factory` | `setDocLengthNormalization(double docLengthNormalization)`
`NaiveBayesTrainer.Factory` | `setFeatureMultinomialEstimator(Multinomial.Estimator featureEstimator)`
`NaiveBayesTrainer.Factory` | `setPriorMultinomialEstimator(Multinomial.Estimator priorEstimator)`

Methods inherited from class cc.mallet.classify.ClassifierTrainer.Factory
`newClassifierTrainer, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NaiveBayesTrainer.Factory

    public NaiveBayesTrainer.Factory()

Method Detail

### newClassifierTrainer

    public NaiveBayesTrainer newClassifierTrainer(Classifier initialClassifier)

  Specified by:
    `newClassifierTrainer` in class `ClassifierTrainer.Factory<NaiveBayesTrainer>`

### setDocLengthNormalization

    public NaiveBayesTrainer.Factory setDocLengthNormalization(double docLengthNormalization)

### setFeatureMultinomialEstimator

    public NaiveBayesTrainer.Factory setFeatureMultinomialEstimator(Multinomial.Estimator featureEstimator)

### setPriorMultinomialEstimator

    public NaiveBayesTrainer.Factory setPriorMultinomialEstimator(Multinomial.Estimator priorEstimator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD